[arch-commits] Commit in pdns-recursor/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Nov 21 15:10:57 EST 2009


    Date: Saturday, November 21, 2009 @ 15:10:57
  Author: jgc
Revision: 59289

Merged revisions 59283 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/pdns-recursor/trunk

........
  r59283 | jgc | 2009-11-21 20:37:37 +0100 (Sat, 21 Nov 2009) | 2 lines
  
  upgpkg: pdns-recursor 3.1.7.1-1
      Update to 3.1.7.1
........

Modified:
  pdns-recursor/repos/extra-x86_64/	(properties)
  pdns-recursor/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Property changes on: pdns-recursor/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /pdns-recursor/trunk:1-7527
   + /pdns-recursor/trunk:1-59288

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-21 20:03:01 UTC (rev 59288)
+++ extra-x86_64/PKGBUILD	2009-11-21 20:10:57 UTC (rev 59289)
@@ -1,27 +1,27 @@
 # $Id$
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=pdns-recursor
-pkgver=3.1.7
+pkgver=3.1.7.1
 pkgrel=1
 pkgdesc="PowerDNS recursor"
 url="http://www.powerdns.com"
 license=('GPL')
 arch=('i686' 'x86_64')
-depends=('gcc-libs>=4.3.1')
+depends=('gcc-libs>=4.4.2')
 makedepends=('boost')
 backup=('etc/powerdns/recursor.conf')
 source=(http://downloads.powerdns.com/releases/${pkgname}-${pkgver}.tar.bz2
         pdns-recursor.rc)
-md5sums=('e7521055f949ba8e9e77fe27411be2ed'
+md5sums=('e8d6d6f1ec477741a2c9b3bb2e297e18'
          '5b3aa3c8ed2edf55821af16cfb7ef252')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -d -m755 ${pkgdir}/etc/rc.d
-  mv ${pkgdir}/etc/powerdns/recursor.conf-dist ${pkgdir}/etc/powerdns/recursor.conf || return 1
-  install -m755 ${srcdir}/pdns-recursor.rc ${pkgdir}/etc/rc.d/pdns-recursor || return 1
-  rm -rf ${pkgdir}/etc/init.d
+  make DESTDIR="${pkgdir}" install || return 1
+  install -d -m755 "${pkgdir}/etc/rc.d"
+  mv "${pkgdir}/etc/powerdns/recursor.conf-dist" "${pkgdir}/etc/powerdns/recursor.conf" || return 1
+  install -m755 "${srcdir}/pdns-recursor.rc" "${pkgdir}/etc/rc.d/pdns-recursor" || return 1
+  rm -rf "${pkgdir}/etc/init.d"
 }



More information about the arch-commits mailing list